curl --request POST \
--url https://api.acedata.cloud/openai/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4o-mini",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/openai/chat/completions"
payload = {
"model": "gpt-4o-mini",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'gpt-4o-mini', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/openai/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Openai Chat Completions
curl --request POST \
--url https://api.acedata.cloud/openai/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4o-mini",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/openai/chat/completions"
payload = {
"model": "gpt-4o-mini",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'gpt-4o-mini', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/openai/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}承認
API token from https://platform.acedata.cloud
ヘッダー
Openai Chat Completions Param Accept
application/json ボディ
Openai Chat Completions Model
gpt-oss:free, gpt-5.5:free, gpt-5:free, gpt-4.1:free, gpt-4o:free, gpt-4o-mini:free, gpt-5.5, gpt-5.5-pro, gpt-5.4, gpt-5.4-pro, gpt-5.2, gpt-5.1, gpt-5.1-all, gpt-5, gpt-5-mini, gpt-5-nano, gpt-4, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano, gpt-4o, gpt-4o-2024-05-13, gpt-4o-all, gpt-4o-image, gpt-4o-mini, gpt-35-turbo-16k, o1, o1-mini, o1-pro, o3, o3-mini, o3-pro, o4-mini "gpt-4o-mini"
Openai Chat Completions Messages 4
1Show child attributes
Show child attributes
Openai Chat Completions N
1 <= x <= 1281
Openai Chat Completions Stream
Openai Chat Completions Max Tokens
Openai Chat Completions Temperature
0 <= x <= 21
Openai Chat Completions Response Format 4
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Openai Chat Completions Tools
Show child attributes
Show child attributes
Openai Chat Completions Tool Choice 3
none, auto, required Openai Chat Completions Top P
0 <= x <= 11
Openai Chat Completions Frequency Penalty
-2 <= x <= 20
Openai Chat Completions Presence Penalty
-2 <= x <= 20
Openai Chat Completions Seed
Openai Chat Completions Stop 3
Openai Chat Completions Max Completion Tokens
Openai Chat Completions Logprobs
Openai Chat Completions Top Logprobs
0 <= x <= 20Openai Chat Completions Stream Options
Show child attributes
Show child attributes
Openai Chat Completions Parallel Tool Calls
Openai Chat Completions User
Openai Chat Completions Reasoning Effort
minimal, low, medium, high Openai Chat Completions Service Tier
auto, default, flex, scale, priority Openai Chat Completions Store
Openai Chat Completions Metadata
Show child attributes
Show child attributes
Openai Chat Completions Logit Bias
Show child attributes
Show child attributes
Openai Chat Completions Modalities
text, audio Openai Chat Completions Audio
Show child attributes
Show child attributes
Openai Chat Completions Prediction 3
Show child attributes
Show child attributes
Openai Chat Completions Web Search Options
Show child attributes
Show child attributes
レスポンス
Openai Chat Completions Response 200 2
Openai Chat Completions Response 200
Openai Chat Completions Response 200 Id
Openai Chat Completions Response 200 Model
Openai Chat Completions Response 200 Object
chat.completion Openai Chat Completions Response 200 Choices
Show child attributes
Show child attributes
Openai Chat Completions Response 200 Created
Openai Chat Completions Response 200 System Fingerprint
Openai Chat Completions Response 200 Usage
Show child attributes
Show child attributes

